#!/usr/bin/perl

$sbindir="/usr/sbin";
$apxs="$sbindir/apxs 2>/dev/null";
$confdir=`$apxs -q SYSCONFDIR`; 
$cc=`$apxs -q CC`;
$cflags=`$apxs -q CFLAGS`;
$includedir=`$apxs -q INCLUDEDIR`;
$libexecdir=`$apxs -q LIBEXECDIR`;

### Create Makefile
$install=`which install`;
chop $install;
open(MTMP,"Makefile.in") or die "Can't find Makefile.tmpl\n";
open(MAKF,"> Makefile") or die "Can't create Makefile\n";
print "Creating Makefile\n";
while(<MTMP>) {
$_=~ s|\$\(apxs\)|$apxs|;
$_=~ s|\$\(apachectl\)|/usr/sbin/apachectl|;
$_=~ s|\$\(cc\)|$cc|;
$_=~ s|\$\(includedir\)|$includedir|;
$_=~ s|\$\(cflags\)|$cflags|;
$_=~ s|\$\(sbindir\)|/usr/sbin|;
$_=~ s|\$\(install\)|$install|;
$_=~ s|\$\(fpexec_uidcaller\)|apache|;
$_=~ s|\$\(fpexec_gidcaller\)|apache|;
$_=~ s|\$\(fpexec_uidmin\)|48|;
$_=~ s|\$\(fpexec_gidmin\)|48|;
$_=~ s|\$\(fpexec_logexec\)|/var/log/httpd/fpexec_log|;
$_=~ s|\$\(fpexec_userdir\)|public_html|;
$_=~ s|\$\(fpexec_docroot\)|/var/www/html|;
$_=~ s|"\$\(fpexec_bin\)|\\\\\"$sbindir\/fpexec\\\\|;
$_=~ s|"\$\(fpstatic_bin\)|\\\\\"$sbindir\/fpstatic\\\\|;
print MAKF $_;
}
